@import url('/styles/subscribe.css');

.subscribe-carousel {
  overflow: hidden;
  padding-top: 0;

  .aboutMarutiSuz {
    .aboutMarutiSuz__title :is(h1, h2, h3, h4, h5, h6) {
      margin: 0;
      font-size: var(--heading-font-8-mob);
      padding-block: var(--space-20px) 0;
      color: var(--gray-deep);
      font-weight: var(--fw-700);
      line-height: var(--heading-lh-17-mob-text-normal);

      @media (width >= 768px) {
        font-size: var(--heading-font-7-des);
        padding-block: var(--space-30px) 0;
      }
    }

    .aboutMarutiSuz__description {
      font-size: var(--heading-font-8-mob);
      font-weight: var(--fw-400);
      margin-block: var(--space-15px) 0;
      color: var(--color-grey);
      line-height: var(--heading-lh-5--mob);

      @media (width >= 768px) {
        line-height: var(--subscription-lh-2-desc-display);
        margin-block: var(--space-20px) 0;
      }
    }
  }

  .sub-carousel__media {
    position: relative;
    width: 100%;
    max-height: 145px;
    overflow: hidden;

    @media (width >= 768px) {
      max-height: 100%;
      aspect-ratio: 16 / 9;
    }

    .sub-carousel__video {
      width: 100%;
      height: 100%;
      object-fit: cover;
      cursor: pointer;
    }

    .sub-carousel__poster-img {
      position: absolute;
      inset: 0 auto auto 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
      z-index: 1;
      display: block;
    }
  }

  .sub-carousel__first-row {
    @media (width >= 1024px) {
      margin: 0 0 0 var(--space-10px);
      padding-inline: 0;
    }

    ul {
      list-style: none;
      padding: 0;
      margin: 0;

      .sub-carousel__item {
        .sub-carousel__media {
          max-height: unset;
          aspect-ratio: 16/9;
          border-bottom: 1px solid var(--dark-color);

          .sub-carousel__video {
            transition:
              transform 0.4s ease,
              opacity 0.4s ease;
            transform: scale(1);
            opacity: 0;
          }

          .sub-carousel__poster-img {
            transition:
              transform 0.4s ease,
              opacity 0.4s ease;
            transform: scale(0.5);
            opacity: 1;
          }
        }

        .sub-carousel__title :is(h1, h2, h3, h4, h5, h6) {
          color: var(--neutrals-sub-texts-paragraphs);
          font-size: var(--heading-lh-19-mob-display);
          font-weight: var(--fw-500);
          line-height: var(--subscription-lh-2-mob-display);
          margin-block: var(--space-10px) var(--space-15px);
        }

        .sub-carousel__content {
          .sub-carousel__text {
            color: var(--color-grey);
            font-size: var(--heading-font-20-mob-text);
            font-weight: var(--fw-400);
            line-height: var(--subscription-lh-5-desc-display);
            margin-block: var(--space-15px) 0;
          }
        }
      }
    }
  }

  .sub-carousel__second-row {
    position: relative;

    .splide__track {
      overflow: hidden;

      .sub-carousel__wrapper {
        display: flex;
        list-style: none;
        margin: 0;

        .sub-carousel__item {
          transition: transform 0.3s ease;
          display: flex;
          flex-direction: column;
          justify-content: space-between;
          background: var(--tertiary-white);
          position: relative;
          overflow: visible;
          flex: 0 0 calc((100% - (-166px)) / 2);

          &:not(:last-child)::after {
            content: '';
            position: absolute;
            inset: auto -13px 0 auto;
            width: 1px;
            background: var(--dark-color);
            height: 87%;
          }

          .sub-carousel__title :is(h1, h2, h3, h4, h5, h6) {
            color: var(--color-grey);
            font-size: var(--subscription-font-1-mob);
            font-weight: var(--fw-700);
            line-height: var(--subscription-lh-2-mob-display);
            margin-block: 0 var(--space-15px);
          }
        }
      }
    }
  }

  .sub-carousel {
    width: 100%;
    background: var(--tertiary-white);
    padding-block: var(--space-10px) 0;
    position: relative;

    @media (width >= 768px) {
      padding-block: var(--space-20px) 0;
    }

    .splide__arrows {

      .splide__arrow {
        border: none;
        background: none center/cover no-repeat;

        &:disabled {
          opacity: 0.2;
        }

        &:focus,
        &:active {
          outline: none;
          border: none;
        }

        @media (width >= 1024px) {
          display: flex;
          width: 48px;
          height: 48px;
          filter: none;
          background-size: 60px;
        }
      }

      .prev-arrow {
        position: absolute;
        top: 160px;
        left: 0;
        transform: translateX(-42%);
        transition: transform 0.4s ease-in-out;
        background-image: url('/icons/subscribe-prev-arrow.png');

        &:hover {
          transform: translateX(-42%) scale(1.15);
        }
      }

      .next-arrow {
        position: absolute;
        top: 160px;
        right: 0;
        transform: translateX(42%);
        transition: transform 0.4s ease-in-out;
        background-image: url('/icons/subscribe-next-arrow.png');

        &:hover {
          transform: translateX(42%) scale(1.15);
        }
      }
    }

    .splide__track {
      .sub-carousel__wrapper {
        margin: 0;

        @media (width >= 768px) {
          display: flex;
          align-items: stretch;
        }

        .sub-carousel__item {
          margin-right: var(--space-20px);

          &:last-child {
            margin-right: 0;
          }

          @media (width >= 1024px) {
            margin-right: 53px;
          }

          @media (width >= 768px) {
            position: relative;
            overflow: hidden;
            flex: 0 0 calc((100% - (-172px)) / 3);

            .sub-carousel__title :is(h1, h2, h3, h4, h5, h6) {
              font-size: var(--subscription-font-1-desc);
              color: var(--neutrals-sub-texts-paragraphs);
              line-height: var(--subscription-lh-4-desc-display);
              font-weight: var(--fw-500);
              margin-block: 0 var(--space-30px);
            }
          }

          @media (width >= 1024px) {
            flex: 0 0 calc((100% - 107px) / 3);
          }

          .sub-carousel__content {
            display: flex;
            flex-direction: column;
            gap: var(--space-40);
            justify-content: space-between;
            flex-grow: 1;

            @media (width >= 768px) {
              gap: var(--space-30px);
            }

            .sub-carousel__text {
              font-size: var(--heading-font-20-mob-text);
              flex-grow: 1;
              color: var(--color-grey);
              font-weight: var(--fw-400);
              line-height: var(--heading-lh-5--mob);
              margin-block: var(--space-15px) 0;

              @media (width >= 768px) {
                font-size: var(--subscription-font-2-desc);
                margin-block: var(--space-20px) 0;
                line-height: var(--subscription-lh-2-desc-display);
              }
            }

            .sub-carousel__cta {
              font-weight: var(--fw-700);
              text-align: center;
              color: var(--neutrals-sub-texts-paragraphs);
              text-decoration: none;
              border: var(--brand-yellow-light) solid 2px;
              font-size: var(--heading-font-20-mob-text);
              text-transform: uppercase;
              transition:
                border-color 0.3s ease,
                color 0.3s ease;
              padding: var(--space-10px);
              border-radius: 10px;
              margin-top: var(--space-15px);

              @media (width >= 768px) {
                text-transform: none;
                color: var(--color-grey);
                font-size: var(--heading-font-16-des);
              }

              &:hover {
                background-color: var(--brand-yellow);
                color: var(--neutrals-sub-texts-paragraphs);
              }
            }
          }
        }
      }

      .splide__sr {
        clip: rect(0 0 0 0);
        border: 0;
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
      }
    }
  }
}




